using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class blueprintIconController : MonoBehaviour
{
    public static blueprintIconController script = new blueprintIconController();
    public List<GameObject> blueprintIcons;

    private void Awake()
    {
        script = this;
    }


    public void spawnBlueprintIcon(int id)
    {
        blueprintIcons[id].GetComponent<Animator>().SetTrigger("fly_in");
    }


    public void deSpawnBlueprintIcon(int id)
    {
        blueprintIcons[id].GetComponent<Animator>().SetTrigger("fly_out");
    }
}
